Bug 248228 - databases/cassandra4: Update to 4.0-beta1
Summary: databases/cassandra4: Update to 4.0-beta1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: https://gitbox.apache.org/repos/asf?p...
Keywords:
Depends on:
Blocks: 248004
  Show dependency treegraph
 
Reported: 2020-07-23 20:16 UTC by Angelo Polo
Modified: 2020-07-27 09:26 UTC (History)
2 users (show)

See Also:
language.devel: maintainer-feedback+


Attachments
Diff to update to version 4.0-beta1 (13.89 KB, patch)
2020-07-23 20:16 UTC, Angelo Polo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Polo 2020-07-23 20:16:27 UTC
Created attachment 216728 [details]
Diff to update to version 4.0-beta1

Update to version 4.0-beta1.
SVN patch attached.

Updated maven repo available at the following link:
https://drive.google.com/file/d/1IjDuWds-u_6E3_IOTvjajh6bB6Sthk1R

This patch includes the changes in attachment #216472 [details] from bug #248004.
Comment 1 Fernando Apesteguía freebsd_committer 2020-07-24 05:25:49 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.

Attachment -> Details -> maintainer-approval [+]

If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Angelo Polo 2020-07-24 05:45:16 UTC
(In reply to Fernando Apesteguía from comment #1)
Understood.
The changelog is here:
https://gitbox.apache.org/repos/asf?p=cassandra.git;a=blob_plain;f=CHANGES.txt;hb=refs/tags/cassandra-4.0-beta1
Comment 3 Mikael Urankar freebsd_committer 2020-07-24 15:37:03 UTC
Why is zstd-jni only available on amd64/i386?
Comment 4 Angelo Polo 2020-07-24 17:29:30 UTC
(In reply to Mikael Urankar from comment #3)

Until recently there was only an amd64 build available. I worked with luben, the developer, on the i386 build for us, which he is now kindly putting out for every release. As an aside, I did put together a full port for zstd-jni (https://github.com/polo-language/archivers-zstd-jni) to convince myself that it would work generally. I can submit and maintain that as an independent port if necessary, but I was happy enough while working on the original submission that we could get direct support for the Tier 1 platforms.
Comment 5 Mikael Urankar freebsd_committer 2020-07-25 17:39:59 UTC
I'm not able to fetch the distfile:
=> apache-cassandra-4.0-beta1-src.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://www.apache.org/dist/cassandra/4.0-beta1/apache-cassandra-4.0-beta1-src.tar.gz
apache-cassandra-4.0-beta1-src.tar.gz                   44 MB   28 MBps    01s
=> zstd-jni-1.4.5-4-freebsd_amd64.jar doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://repo1.maven.org/maven2/com/github/luben/zstd-jni/1.4.5-4/zstd-jni-1.4.5-4-freebsd_amd64.jar
zstd-jni-1.4.5-4-freebsd_amd64.jar                     500 kB 8120 kBps    00s
=> apache-cassandra-4.0-beta1-repo.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://distcache.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz
fetch: http://distcache.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.us-east.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz
fetch: http://distcache.us-east.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.eu.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz
fetch: http://distcache.eu.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.us-west.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz
fetch: http://distcache.us-west.FreeBSD.org/local-distfiles/pi/apache-cassandra-4.0-beta1-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/apache-cassandra-4.0-beta1-repo.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/apache-cassandra-4.0-beta1-repo.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
Comment 6 Angelo Polo 2020-07-26 08:26:28 UTC
(In reply to Mikael Urankar from comment #5)

The maven repo needs to be hosted on LOCAL when the patch is accepted. For now, download it from the link in my first post above and copy to your distfiles directory.
Comment 7 commit-hook freebsd_committer 2020-07-26 12:55:54 UTC
A commit references this bug:

Author: mikael
Date: Sun Jul 26 12:55:21 UTC 2020
New revision: 543475
URL: https://svnweb.freebsd.org/changeset/ports/543475

Log:
  databases/cassandra4: Update to 4.0-beta1

   - Update to version 4.0-beta1
   - fix build on aarch64

  PR:		248228 248004
  Submitted by:	Angelo Polo (maintainer), Ronald Klop (aarch64 fix)

Changes:
  head/databases/cassandra4/Makefile
  head/databases/cassandra4/distinfo
  head/databases/cassandra4/files/patch-build.xml
  head/databases/cassandra4/files/patch-conf_cassandra.yaml
  head/databases/cassandra4/files/patch-src_java_org_apache_cassandra_service_StartupChecks.java
  head/databases/cassandra4/pkg-plist